darcs

Issue 2533 check which commands may need --umask

Title check which commands may need --umask
Priority Status resolved
Milestone Resolved in 2.15.0
Superseder Nosy List bf
Assigned To
Topics

Created on 2017-04-05.05:48:41 by bf, last changed 2020-07-19.01:55:48 by noreply.

Messages
msg19426 (view) Author: bf Date: 2017-04-05.05:48:39
We should have umask option for every command that potentially modifies
a file in the repo even if it is only for caching.
msg19485 (view) Author: bf Date: 2017-04-21.16:43:45
Or perhaps just add the option to every command (as we do with e.g.
--no-cache). Must still check that it is honored when calling stuff from
Darcs.Repository.
msg22188 (view) Author: noreply Date: 2020-07-19.01:55:44
The following patch sent by Ben Franksen <ben.franksen@online.de> updated issue issue2533 with
status=resolved;resolvedin=2.15.0 HEAD

* resolve issue2533: add umask option to all commands that modify the repo 
Ignore-this: d3008b4a4a573f2801c8a46ac87cb5c435689ebc55a5993568199f4cc12f21584547f42c14a5d56d
History
Date User Action Args
2017-04-05 05:48:41bfcreate
2017-04-21 16:43:47bfsetmessages: + msg19485
2020-07-19 01:55:48noreplysetstatus: unknown -> resolved
messages: + msg22188
resolvedin: 2.15.0